# Allocate

> Move EUR from the wallet into the org's OpenRouter key limit. Owner only.

Canonical URL: https://docs.botyard.io/docs/api/wallet/allocate_v1_orgs__org_id__wallet_allocate_post

`POST /v1/orgs/{org_id}/wallet/allocate`

Move EUR from the wallet into the org's OpenRouter key limit. Owner only.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `org_id` | path | yes | string |  |

## Request body

`application/json`: AllocateRequest (required)

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `amount_eur` | number \| string | yes | EUR to move from the wallet into OpenRouter |
| `idempotency_key` | string | yes | Caller-supplied unique key making a retried allocation safe |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| `200` | Successful Response | AllocateResponse |
| `default` | RFC 9457 Problem Details error response | ProblemDetails |

Full schemas: operation `allocate_v1_orgs__org_id__wallet_allocate_post` in the OpenAPI spec at https://api.botyard.io/openapi.json.
